\documentclass{article}
\usepackage{amsmath}
\begin{document}
\title{Normalizing flows for low-dimensional integrals}
\author{Scott Lawrence}
\maketitle

We want to find a good approximation to the normalizing flow for the distribution $e^{-z^4}$. That is, we're looking for a function $z(x)$ such that
\begin{equation}\label{eq:nf-def}
e^{-z(x)^4} \frac{dz}{dx} = e^{-x^2}\text.
\end{equation}
Of course this can be solved explicitly in terms of the definite integrals of the two distributions, but we'd like a method which is exceptionally fast to compute, while still being a good approximation.

The first fit to try is a polynomial.
\begin{equation}
z_{\mathrm{poly}}(x) = x (a_1 + a_3 x^2 + a_5 x^4)\text.
\end{equation}
A fit of the CDFs yields $a_1 \approx 0.704357$, $a_3 \approx -0.0671045$, and $a_5 \approx .00564013$. A few important properties to bear in mind. First, at large $|x|$, the sign of $z$ matches that of $x$ (since $a_4 > 0$). This guarantees that the entire real line is in the image of this flow. Second, the normalizing flow ought to be an odd function, and this symmetry causes the even coefficients ($a_0$, $a_2$, and so on) to vanish.

Unfortunately this flow has unreasonable asymptotic behavior. It's easy to see
from (\ref{eq:nf-def}) that, at least up to logarithms, the flow should
asymptotically behave like $z(x) \sim \sqrt{|x|}$. This inspires a different fit. Defining $y = \frac{x}{\sqrt{c + |x|}}$, the normalizing flow is now a Pade approximant in $y$:
\begin{equation}
z_{\mathrm{Pade}}(x) = \frac{b_1 y + b_3 y^3}{1 + d_2 y^2}
\end{equation}
A fit gives $c = 13$, $b_1 \approx 2.62712$, $b_3 \approx 4.88342$, and $d_2 \approx 3.41333$.

\end{document}
